Eclipse Platform Release 3.7

## org.eclipse.debug.core
Interface ILaunchMode

    public interface ILaunchMode

A launch mode. The debug platform contributes launch modes for run, debug, and profile. Clients may contribute additional launch modes in plug-in XML via the `launchModes` extension point.

Following is an example launch mode contribution for profiling. A launch mode has an unique identifier specified by the `mode` attribute and a human readable label specified by the `label` attribute.

      <extension point="org.eclipse.debug.core.launchModes">
       <launchMode
        mode="profile"
        label="Profile">
       </launchMode>
      </extension>

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String` `getIdentifier()` Returns the unique identifier for this launch mode.
`String` `getLabel()` Returns a human readable label for this launch mode.
`String` `getLaunchAsLabel()` Returns a human readable label for this launch mode when used in a cascade menu.

Method Detail

### getIdentifier

    String getIdentifier()

  Returns the unique identifier for this launch mode.

  Returns:
    the unique identifier for this launch mode

### getLabel

    String getLabel()

  Returns a human readable label for this launch mode.

  Returns:
    a human readable label for this launch mode

### getLaunchAsLabel

    String getLaunchAsLabel()

  Returns a human readable label for this launch mode when used in a cascade menu. For example, "Run As". Allows the label to be properly externalized.

  A new attribute has been added the the launch mode extension in 3.2 to specify this label. When unspecified a default label is generated by concatenation, for backwards compatibility.

  Returns:
    human readable label for this launch mode when used in a cascade menu
  Since:
    3.2

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.